Skip to main content
POST
https://ge-exchange-staging-1.herokuapp.com/v1/
/
api
/
members
/
withdrawal-request
Create Withdrawal Request
curl --request POST \
  --url https://ge-exchange-staging-1.herokuapp.com/v1/api/members/withdrawal-request \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bank_code": "<string>",
  "bank_name": "<string>",
  "account_number": "<string>",
  "account_name": "<string>",
  "amount": 123,
  "currency": "<string>"
}
'
{
  "status": "success",
  "message": "Loan repayment withdrawal request created successfully"
}
bank_code
string
required
The bank code
bank_name
string
required
The name of the bank
account_number
string
required
The account number for the withdrawal
account_name
string
required
The account holder’s name
amount
number
required
The withdrawal amount
currency
string
required
The currency for the withdrawal. Supported currencies include:
  • NGN
  • USD
  • KES
{
  "status": "success",
  "message": "Loan repayment withdrawal request created successfully"
}